## mx4j.remote.rmi
Class RMIConnectionSubjectInvoker

    java.lang.Object
      mx4j.remote.rmi.RMIConnectionProxy
          mx4j.remote.rmi.RMIConnectionSubjectInvoker

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

public class RMIConnectionSubjectInvoker
extends RMIConnectionProxy

An RMIConnection proxy that wraps the call into a `Subject.doAsPrivileged(javax.security.auth.Subject, java.security.PrivilegedAction, java.security.AccessControlContext)` invocation, in order to execute the code under subject-based security, and to perform subject delegation.

Version:
  $Revision: 1.10 $

Method Summary
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`static javax.management.remote.rmi.RMIConnection` `newInstance(javax.management.remote.rmi.RMIConnection nested, javax.security.auth.Subject subject, java.security.AccessControlContext context, java.util.Map environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static javax.management.remote.rmi.RMIConnection newInstance(javax.management.remote.rmi.RMIConnection nested,
                                                                        javax.security.auth.Subject subject,
                                                                        java.security.AccessControlContext context,
                                                                        java.util.Map environment)

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Overrides:
    `invoke` in class `RMIConnectionProxy`
  Throws:
    `java.lang.Throwable`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.